New rails deployment getting errors starting webrick/thin

I just installed rails on a new development environment running ubuntu
8.04

i have installed gem 1.2.0 and the following ruby packages:

sudo aptitude install ruby1.8-dev ruby1.8 ri1.8 rdoc1.8 irb1.8
libreadline-ruby1.8 libruby1.8 libopenssl-ruby sqlite3
libsqlite3-ruby1.8

i am getting this error when starting thin/webrick:

[email protected]:/u1/app/wldev# script/server
=> Booting WEBrick…
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:in
gem_original_require': no such file to load -- ruby-debug (MissingSourceFile) from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:inrequire’
from
/usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:496:in
require' from /usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:342:innew_constants_in’
from
/usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:496:in
require' from /u1/app/wldev/config/environments/development.rb:20:inload_environment’
from /usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initializer.rb:206:in
load_environment' from /usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/core_ext/kernel/reporting.rb:11:insilence_warnings’
from /usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initializer.rb:199:in
load_environment' ... 15 levels... from /usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/commands/server.rb:39 from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:ingem_original_require’
from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:in
`require’
from script/server:3
[email protected]:/u1/app/wldev# vi
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb

i’m not sure how this is different than my other install. am i missing
something?

i got it. i needed to

gem install ruby-debug

Scott,

You should not be requiring  ruby-debug in production environment

unless it is absolutely necessary.

Also you can use:

$ gem -v

To report RubyGems version, and:

$ gem list

To list you currently installed gems

Best regards,


Aníbal Rojas
http://hasmanydevlopers.com
http://rubycorner.com
http://anibal.rojas.com.ve

On Aug 10, 9:40 am, Scott K. [email protected]

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs